#include <stddef.h>
#include <stdint.h>
#include "BasicRenderer.h"


// supposed to protect against stack smashing but we have no way to actually like
// do anything when we detect it soooo...
extern "C" void __stack_chk_fail(void) {
	return;
}

extern "C" void _start(Framebuffer* framebuffer, PSF1_FONT* psf1_Font) {
	BasicRenderer newRenderer = BasicRenderer(framebuffer, psf1_Font);
	newRenderer.Print(0xFFFFFF, "Hello, World!");

	return;
}